Bug 1435191

Summary: New package: osops-tools-monitoring-oschecks
Product: [Community] RDO Reporter: Matthias Runge <mrunge>
Component: Package ReviewAssignee: hguemar
Status: CLOSED NEXTRELEASE QA Contact: hguemar
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: chris.brown, jpena, karlthered, mmagr, mrunge
Target Milestone: ---Flags: karlthered: rdo-review?
Target Release: trunk   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-04 13:59:14 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1427510    

Comment 1 Javier Peña 2017-03-31 09:16:17 UTC
Initial licensecheck output:

$ licensecheck -r .
./.gitreview: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.md: *No copyright* UNKNOWN
./monitoring-for-openstack/.testr.conf: *No copyright* UNKNOWN
./monitoring-for-openstack/README.rst: *No copyright* UNKNOWN
./monitoring-for-openstack/requirements.txt: *No copyright* UNKNOWN
./monitoring-for-openstack/setup.cfg: *No copyright* Apache
./monitoring-for-openstack/setup.py: Apache (v2.0)
./monitoring-for-openstack/test-requirements.txt: *No copyright* UNKNOWN
./monitoring-for-openstack/tox.ini: *No copyright* UNKNOWN
./nagios-plugins/check_ceilometer_update.py: *No copyright* UNKNOWN
./nagios-plugins/check_ip_pool.py: *No copyright* UNKNOWN
./nagios-plugins/cinder-services.sh: *No copyright* UNKNOWN
./nagios-plugins/glance-list.sh: *No copyright* UNKNOWN
./nagios-plugins/horizon.sh: *No copyright* UNKNOWN
./nagios-plugins/keystone-token.sh: *No copyright* UNKNOWN
./nagios-plugins/libvirt-virsh.sh: *No copyright* UNKNOWN
./nagios-plugins/nova-services.sh: *No copyright* UNKNOWN
./nagios-plugins/swift-healthcheck.sh: *No copyright* UNKNOWN
./sensu-plugins/check_keystone-api.rb: UNKNOWN
./monitoring-for-openstack/oschecks/amqp.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/ceilometer.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/ceph.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/cinder.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/glance.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/keystone.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/neutron.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/nova.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/pacemaker_host_check.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/process.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/utils.py: Apache (v2.0)
./monitoring-for-openstack/doc/source/conf.py: *No copyright* GENERATED FILE
./monitoring-for-openstack/doc/source/index.rst: *No copyright* UNKNOWN
./monitoring-for-openstack/oschecks/tests/test_ceph.py: Apache (v2.0)
./monitoring-for-openstack/oschecks/tests/test_script.py: Apache (v2.0)

The project is licensed with the Apache 2.0 license. However, one of the files is licensed using the MIT license, see https://github.com/openstack/osops-tools-monitoring/blob/master/sensu-plugins/check_keystone-api.rb#L9

Would that be an issue for the RPM?

Comment 2 Matthias Runge 2017-03-31 09:57:30 UTC
That should change the license to ASL 2.0 and MIT. But we're not shipping those, we only use and distribute everything in the monitoring-for-openstack directory.

Comment 3 Javier Peña 2017-03-31 10:27:49 UTC
(In reply to Matthias Runge from comment #2)
> That should change the license to ASL 2.0 and MIT. But we're not shipping
> those, we only use and distribute everything in the monitoring-for-openstack
> directory.

Ack. In that case, we can move on.

Comment 4 Haïkel Guémar 2017-08-08 12:12:13 UTC
Ok, reviewing it.

Comment 5 Haïkel Guémar 2017-09-04 13:59:14 UTC
Two small glitches but approved

=> python2-devel
=> Source0 URL, we don't have a  lookaside cache, so it must be a downloadable URL



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 17 files have unknown
     license. Detailed output of licensecheck in /home/hguemar/dist-git-
     delorean/centos-
     master/data/repos/62/16/62160d10683023c8c9d96f616223d8def88b870d_dev
     /review-osops-tools-monitoring-oschecks/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/libexec/openstack-monitoring/checks,
     /usr/libexec/openstack-monitoring
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/libexec/openstack-
     monitoring/checks, /usr/libexec/openstack-monitoring
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version 0.0.1
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: osops-tools-monitoring-oschecks-0.0.1-0.20170904131658.62160d1.el7.noarch.rpm
          osops-tools-monitoring-oschecks-0.0.1-0.20170904131658.62160d1.el7.src.rpm
osops-tools-monitoring-oschecks.noarch: E: no-changelogname-tag
osops-tools-monitoring-oschecks.noarch: W: no-documentation
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/amqp.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/ceilometer.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/ceph.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/cinder.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/glance.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/keystone.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/neutron.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/nova.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/pacemaker_host_check.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/process.py /usr/bin/env python
osops-tools-monitoring-oschecks.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/oschecks/utils.py /usr/bin/env python
osops-tools-monitoring-oschecks.src: E: no-changelogname-tag
osops-tools-monitoring-oschecks.src: W: invalid-url Source0: 0.0.1-0.20170904131658.62160d1.tar.gz
2 packages and 0 specfiles checked; 13 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
osops-tools-monitoring-oschecks.noarch: E: no-changelogname-tag
osops-tools-monitoring-oschecks.noarch: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 1 warnings.



Requires
--------
osops-tools-monitoring-oschecks (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python2
    python(abi)
    python-ceilometerclient
    python-cinderclient
    python-glanceclient
    python-keystoneclient
    python-neutronclient
    python-novaclient
    python-openstackclient
    python-psutil
    python-six



Provides
--------
osops-tools-monitoring-oschecks:
    osops-tools-monitoring-oschecks



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-ocata-el7 -n osops-tools-monitoring-oschecks
Buildroot used: cloud7-openstack-ocata-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6